Firefox 84 по умолчанию включает WebReder в Linux! Но ... я бы скептически настроился

Firefox 84, WebRender и Linux

Firefox 67 В нем была новинка, которая выделялась среди остальных: он первым активировал WebRender, новый движок рендеринга, обещавший улучшить общую производительность браузера. С тех пор прошло не менее полутора лет, а пользователи Linux все еще ждут его активации по умолчанию. Ну тогда: вроде будет в Firefox 84 когда нам больше не нужно активировать его вручную, как мы объяснили в своей статье В этой статье.

Но давайте сохраним спокойствие. Прежде всего, Mozilla предупреждает, что в предварительных версиях могут появиться функции, которые не достигают стабильной версии, и в качестве примера мы имеем, что они, по крайней мере, Nightly, имеют собственную систему для управления вкладками в контейнерах, которые не достигли стабильная версия (а я этого даже не жду). С другой стороны, Mozilla также активирует WebRender в Linux понемногу, начиная с тех, кто использует протокол X11.

WebRender переходит в Linux / X11 в Firefox 84

Первоначально Mozilla откладывала появление WebRender в Linux из-за проблем со стабильностью, особенно у пользователей Wayland. По этой причине, они начнутся с X11, но похоже, что и для пользователей GNOME.

Следовательно, нам все равно придется набраться терпения. Это правда, что GNOME - это очень широко распространенная графическая среда, которую такие системы, как Fedora и Ubuntu используют в качестве основного варианта, но также верно и то, что многие из нас предпочитают Plasma или что-то более легкое, например Xface, так что дождь не будет всем по душе. начало. Считается, что он должен работать так же хорошо в этих графических средах, но Mozilla хочет быть осторожной.

Заинтересованные пользователи могут протестировать Firefox 84 (бета), загрузив двоичные файлы из ссылку. В некоторых дистрибутивах Linux, таких как Arch или Manjaro, они могут скомпилировать и установить его из AUR.


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

Комментарий, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: AB Internet Networks 2008 SL
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Мигель Родригес сказал

    Что меня беспокоит, так это его совместимость со старым оборудованием, в настоящее время композиция WebRender возможна только на совместимом оборудовании, начиная с OpenGL 3.0 (если я правильно помню), поэтому те, которые не продолжают работать с OpenGL и без какой-либо формы этого WebRender, активируются потому что по умолчанию для этого требуется, чтобы оборудование могло отображать WebGL 2. Я надеюсь, что этот новый движок сможет выполнять рендеринг в будущем, даже если компьютер, на котором он работает, несовместим с WebGL 2.

bool (истина)